/// accepts a String (charsToExclude) which contains characters to replace in the String (string)
/// with (replace). This calls replaceAll for each individual character.
String replaceEach(String string, String charsToExclude, String replace) {
  for (int i = 0; i < charsToExclude.length; i++) {
    string = string.replaceAll("${charsToExclude[i]}", replace);
  }
  return string;
}

/// converts a string to a List<String> for iterating through the characters
/// example: for(var x in toString("hello, there!")) print(x);
List<String> toList(String string) {
  List<String> stringAsList = [];

  for (int i = 0; i < string.length; i++)
    stringAsList.add(string[i]);

  return stringAsList;
}